﻿using System.Diagnostics;
using System.IO;
using BitFactory.Logging;

namespace Hardcodet.Util.Logging.BitFactoryFacade
{
  /// <summary>
  /// Simple extension methods.
  /// </summary>
  internal static class Extensions
  {
    public static LogSeverity ToLogSeverity(this TraceEventType logLevel)
    {
      switch (logLevel)
      {
        case TraceEventType.Critical:
          return LogSeverity.Critical;
        case TraceEventType.Error:
          return LogSeverity.Error;
        case TraceEventType.Warning:
          return LogSeverity.Warning;
        case TraceEventType.Information:
        case TraceEventType.Verbose:
        case TraceEventType.Start:
        case TraceEventType.Stop:
        case TraceEventType.Suspend:
        case TraceEventType.Resume:
        case TraceEventType.Transfer:
          return LogSeverity.Info;
        default:
          return LogSeverity.Info;
      }
    }


    public static string ToRollingFileFormat(this string baseFileName)
    {
      if (Path.HasExtension(baseFileName))
      {
        int extensionIndex = baseFileName.IndexOf(Path.GetExtension(baseFileName));
        return baseFileName.Insert(extensionIndex, "{0}");
      }

      return baseFileName + "{0}";
    }
  }
}