﻿// hardcodet.net Logging
// Copyright (c) 2009 Philipp Sumi
// Contact and Information: http://www.hardcodet.net
//
// This library is free software; you can redistribute it and/or
// modify it in any way you see fit as long as this copyright
// notice is not being removed.
// 
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
//
// THIS COPYRIGHT NOTICE MAY NOT BE REMOVED FROM THIS FILE




using System;
using System.Diagnostics;

namespace Hardcodet.Util.Logging
{
  /// <summary>
  /// A dummy implementation of the <see cref="ILogger"/>
  /// interface - doesn't log anything.
  /// </summary>
  public class NullLogger : ILogger
  {

    public void Log(string message)
    {
    }

    public void Log(Exception exception)
    {
    }

    public void Log(string message, Exception exception)
    {
    }

    public void Log(string message, TraceEventType severity)
    {
    }

    public void Log(string message, Exception exception, TraceEventType severity)
    {
    }

    public void Log(LogItem item)
    {
    }
  }
}