﻿using System;
using System.IO;
using System.Windows.Forms;
using Hardcodet.Util.Logging;
using Hardcodet.Util.Logging.BitFactoryFacade;

namespace Logging_Sample
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();

      //create file logger
      string appFolder = Path.GetDirectoryName(GetType().Assembly.Location);
      string fileName = Path.Combine(appFolder, "LogFile.txt");
      ILogger fileLogger = BitFactoryLogger.CreateSingleFileLogger(fileName);

      //create debug logger
      ILogger debugLogger = new DebugLogger();

      //use a composite logger to output to different loggers
      CompositeLogger compositeLogger = new CompositeLogger(fileLogger, debugLogger);

      //register with global logger service
      LoggerService.SetLogger(compositeLogger);
    }


    private void btnLog_Click(object sender, EventArgs e)
    {
      LogItem item = new LogItem();
      item.Title = "The button was clicked.";
      item.Message = txtMessage.Text;
      LoggerService.Logger.Log(item);
    }
  }
}